Index: applications/editors/josm/plugins/tracer2/src/org/openstreetmap/josm/plugins/tracer2/TracerDebug.java
===================================================================
--- applications/editors/josm/plugins/tracer2/src/org/openstreetmap/josm/plugins/tracer2/TracerDebug.java	(revision 32699)
+++ applications/editors/josm/plugins/tracer2/src/org/openstreetmap/josm/plugins/tracer2/TracerDebug.java	(revision 32788)
@@ -1,20 +1,3 @@
-/**
- *  Tracer2 - plug-in for JOSM to capture contours
- *  
- *  This program is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation; either version 2 of the License, or
- *  (at your option) any later version.
- *  
- *  This program is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *  
- *  You should have received a copy of the GNU General Public License along
- *  with this program; if not, write to the Free Software Foundation, Inc.,
- *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
- */
-
+// License: GPL. For details, see LICENSE file.
 package org.openstreetmap.josm.plugins.tracer2;
 
@@ -34,94 +17,94 @@
 
     private static String FormatPrimitive(String strIn) {
-    	while (strIn.contains("{")) {
-    		strIn = strIn.replace("{", "xxxxx");
-    	}
-		return strIn.replaceAll("xxxxx", "\r\n	{");
+        while (strIn.contains("{")) {
+            strIn = strIn.replace("{", "xxxxx");
+        }
+        return strIn.replaceAll("xxxxx", "\r\n    {");
     }
 
-	public  void OutputOsmPrimitive(Collection<OsmPrimitive> cOsmPrimitive) {
-		if (cOsmPrimitive != null) {
-    		for (OsmPrimitive p : cOsmPrimitive) {
-    	    	System.out.println(" OsmPrimitive: " + FormatPrimitive(p.toString()));
-    	    }
-		}
-	}
-	
-	public  void OutputOsmExtendsPrimitive(Collection<? extends OsmPrimitive> cOsmPrimitive) {
-		if (cOsmPrimitive != null) {
-    		for (OsmPrimitive p : cOsmPrimitive) {
-    	    	System.out.println(" OsmPrimitive x: " + FormatPrimitive(p.toString()));
-    	    }
-		}
-	}
-	
-	public void OutputCommands(LinkedList<Command> cmds) {
-		
-		for (Command c : cmds) {
-			System.out.println("");
+    public void OutputOsmPrimitive(Collection<OsmPrimitive> cOsmPrimitive) {
+        if (cOsmPrimitive != null) {
+            for (OsmPrimitive p : cOsmPrimitive) {
+                System.out.println(" OsmPrimitive: " + FormatPrimitive(p.toString()));
+            }
+        }
+    }
 
-			Collection<OsmPrimitive> cp1 = null;
-        	Collection<OsmPrimitive> cp2 = null;
-        	Collection<OsmPrimitive> cp3 = null;
-        	Collection<? extends OsmPrimitive> cpx = null;
-        	
-        	List<OsmPrimitive> lp1 = new LinkedList<>();
-        	List<OsmPrimitive> lp2 = new LinkedList<>();
-        	List<OsmPrimitive> lp3 = new LinkedList<>();
-        	List<OsmPrimitive> lp = new LinkedList<>();
-        	
-        	cp1 = lp1;
-        	cp2 = lp2;
-        	cp3 = lp3;
-        	cpx = lp;
-        	
-        	//OsmPrimitive op = new OsmPrimitive();
-        	OsmPrimitive op1 = new Way();
-        	
-        	System.out.println("Command: " + c.toString());
-        	
-        	if (c instanceof AddCommand) {
-        	    AddCommand x = (AddCommand) c;
-         		x.fillModifiedData(cp1, cp2, cp3);
-         		OutputOsmPrimitive(cp1);
-         		OutputOsmPrimitive(cp2);
-         		OutputOsmPrimitive(cp3);
-         		cpx = x.getParticipatingPrimitives();
-         		OutputOsmExtendsPrimitive(cpx);
-         	} else if (c instanceof ChangeCommand) { // order is important!
-         		ChangeCommand x = (ChangeCommand) c;
-         		x.fillModifiedData(cp1, cp2, cp3);
-         		x.getOrig(op1);
-         		OutputOsmPrimitive(cp1);
-         		OutputOsmPrimitive(cp2);
-         		OutputOsmPrimitive(cp3);
-         		cpx = x.getParticipatingPrimitives();
-         		OutputOsmExtendsPrimitive(cpx);
-        	} else if (c instanceof DeleteCommand) {
-        		DeleteCommand x = (DeleteCommand) c;
-         		x.fillModifiedData(cp1, cp2, cp3);
-         		OutputOsmPrimitive(cp1);
-         		OutputOsmPrimitive(cp2);
-         		OutputOsmPrimitive(cp3);
-         		cpx = x.getParticipatingPrimitives();
-         		OutputOsmExtendsPrimitive(cpx);
-         	} else if (c instanceof MoveCommand) { // order is important!
-         		MoveCommand x = (MoveCommand) c;
-         		x.fillModifiedData(cp1, cp2, cp3);
-         		OutputOsmPrimitive(cp1);
-         		OutputOsmPrimitive(cp2);
-         		OutputOsmPrimitive(cp3);
-         		cpx = x.getParticipatingPrimitives();
-         		OutputOsmExtendsPrimitive(cpx);
-        	} else {
-         		c.fillModifiedData(cp1, cp2, cp3);
-         		OutputOsmPrimitive(cp1);
-         		OutputOsmPrimitive(cp2);
-         		OutputOsmPrimitive(cp3);
-         		cpx = c.getParticipatingPrimitives();
-         		OutputOsmExtendsPrimitive(cpx);
-        	}
+    public void OutputOsmExtendsPrimitive(Collection<? extends OsmPrimitive> cOsmPrimitive) {
+        if (cOsmPrimitive != null) {
+            for (OsmPrimitive p : cOsmPrimitive) {
+                System.out.println(" OsmPrimitive x: " + FormatPrimitive(p.toString()));
+            }
         }
-	}
-	
+    }
+
+    public void OutputCommands(LinkedList<Command> cmds) {
+
+        for (Command c : cmds) {
+            System.out.println("");
+
+            Collection<OsmPrimitive> cp1 = null;
+            Collection<OsmPrimitive> cp2 = null;
+            Collection<OsmPrimitive> cp3 = null;
+            Collection<? extends OsmPrimitive> cpx = null;
+
+            List<OsmPrimitive> lp1 = new LinkedList<>();
+            List<OsmPrimitive> lp2 = new LinkedList<>();
+            List<OsmPrimitive> lp3 = new LinkedList<>();
+            List<OsmPrimitive> lp = new LinkedList<>();
+
+            cp1 = lp1;
+            cp2 = lp2;
+            cp3 = lp3;
+            cpx = lp;
+
+            //OsmPrimitive op = new OsmPrimitive();
+            OsmPrimitive op1 = new Way();
+
+            System.out.println("Command: " + c.toString());
+
+            if (c instanceof AddCommand) {
+                AddCommand x = (AddCommand) c;
+                x.fillModifiedData(cp1, cp2, cp3);
+                OutputOsmPrimitive(cp1);
+                OutputOsmPrimitive(cp2);
+                OutputOsmPrimitive(cp3);
+                cpx = x.getParticipatingPrimitives();
+                OutputOsmExtendsPrimitive(cpx);
+            } else if (c instanceof ChangeCommand) { // order is important!
+                ChangeCommand x = (ChangeCommand) c;
+                x.fillModifiedData(cp1, cp2, cp3);
+                x.getOrig(op1);
+                OutputOsmPrimitive(cp1);
+                OutputOsmPrimitive(cp2);
+                OutputOsmPrimitive(cp3);
+                cpx = x.getParticipatingPrimitives();
+                OutputOsmExtendsPrimitive(cpx);
+            } else if (c instanceof DeleteCommand) {
+                DeleteCommand x = (DeleteCommand) c;
+                x.fillModifiedData(cp1, cp2, cp3);
+                OutputOsmPrimitive(cp1);
+                OutputOsmPrimitive(cp2);
+                OutputOsmPrimitive(cp3);
+                cpx = x.getParticipatingPrimitives();
+                OutputOsmExtendsPrimitive(cpx);
+            } else if (c instanceof MoveCommand) { // order is important!
+                MoveCommand x = (MoveCommand) c;
+                x.fillModifiedData(cp1, cp2, cp3);
+                OutputOsmPrimitive(cp1);
+                OutputOsmPrimitive(cp2);
+                OutputOsmPrimitive(cp3);
+                cpx = x.getParticipatingPrimitives();
+                OutputOsmExtendsPrimitive(cpx);
+            } else {
+                c.fillModifiedData(cp1, cp2, cp3);
+                OutputOsmPrimitive(cp1);
+                OutputOsmPrimitive(cp2);
+                OutputOsmPrimitive(cp3);
+                cpx = c.getParticipatingPrimitives();
+                OutputOsmExtendsPrimitive(cpx);
+            }
+        }
+    }
+
 }
Index: applications/editors/josm/plugins/tracer2/src/org/openstreetmap/josm/plugins/tracer2/TracerException.java
===================================================================
--- applications/editors/josm/plugins/tracer2/src/org/openstreetmap/josm/plugins/tracer2/TracerException.java	(revision 32699)
+++ applications/editors/josm/plugins/tracer2/src/org/openstreetmap/josm/plugins/tracer2/TracerException.java	(revision 32788)
@@ -1,20 +1,3 @@
-/**
- *  Tracer2 - plug-in for JOSM to capture contours
- *  
- *  This program is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation; either version 2 of the License, or
- *  (at your option) any later version.
- *  
- *  This program is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *  
- *  You should have received a copy of the GNU General Public License along
- *  with this program; if not, write to the Free Software Foundation, Inc.,
- *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
- */
-
+// License: GPL. For details, see LICENSE file.
 package org.openstreetmap.josm.plugins.tracer2;
 
@@ -24,13 +7,13 @@
 
     /**
-	 * 
-	 */
-	private static final long serialVersionUID = 4404064875119981715L;
+     *
+     */
+    private static final long serialVersionUID = 4404064875119981715L;
 
-	public TracerException() {
+    TracerException() {
         super(tr("An unknown error has occurred"));
     }
 
-    public TracerException(String err) {
+    TracerException(String err) {
         super(err);
     }
Index: applications/editors/josm/plugins/tracer2/src/org/openstreetmap/josm/plugins/tracer2/TracerGeometry.java
===================================================================
--- applications/editors/josm/plugins/tracer2/src/org/openstreetmap/josm/plugins/tracer2/TracerGeometry.java	(revision 32699)
+++ applications/editors/josm/plugins/tracer2/src/org/openstreetmap/josm/plugins/tracer2/TracerGeometry.java	(revision 32788)
@@ -1,25 +1,12 @@
-/**
- *  Tracer2 - plug-in for JOSM to capture contours
- *  
- *  This program is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation; either version 2 of the License, or
- *  (at your option) any later version.
- *  
- *  This program is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *  
- *  You should have received a copy of the GNU General Public License along
- *  with this program; if not, write to the Free Software Foundation, Inc.,
- *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
- */
-
+// License: GPL. For details, see LICENSE file.
 package org.openstreetmap.josm.plugins.tracer2;
 
 import org.openstreetmap.josm.data.coor.LatLon;
 
-public class TracerGeometry {
+public final class TracerGeometry {
+
+    private TracerGeometry() {
+        // Hide default constructor for utilities classes
+    }
 
     /**
@@ -31,8 +18,8 @@
      * @return Angle in degrees.
      */
-    static public double angleOfLines(LatLon a, LatLon b, LatLon c, LatLon d) {
+    public static double angleOfLines(LatLon a, LatLon b, LatLon c, LatLon d) {
         return (Math.abs(
-                    Math.atan2(a.lat() - b.lat(), a.lon() - b.lon()) -
-                    Math.atan2(c.lat() - d.lat(), c.lon() - d.lon())
+                Math.atan2(a.lat() - b.lat(), a.lon() - b.lon()) -
+                Math.atan2(c.lat() - d.lat(), c.lon() - d.lon())
                 ) / Math.PI * 180) % 360;
     }
@@ -45,16 +32,16 @@
      * @return Distance.
      */
-    static public double distanceFromSegment(LatLon c, LatLon a, LatLon b) {
+    public static double distanceFromSegment(LatLon c, LatLon a, LatLon b) {
         return distanceFromSegment(
                 c.getX(), c.getY(),
                 a.getX(), a.getY(),
                 b.getX(), b.getY()
-        );
+                );
     }
 
-    static private double distanceFromSegment(double cx, double cy, double ax, double ay, double bx, double by) {
+    private static double distanceFromSegment(double cx, double cy, double ax, double ay, double bx, double by) {
         double r_numerator = (cx - ax) * (bx - ax) + (cy - ay) * (by - ay);
         double r_denomenator = (bx - ax) * (bx - ax) + (by - ay) * (by - ay);
-        if(r_denomenator == 0)System.out.println("r_denomenator == 0    ------------");
+        if (r_denomenator == 0)System.out.println("r_denomenator == 0    ------------");
         double r = r_numerator / r_denomenator;
         double s = ((ay - cy) * (bx - ax) - (ax - cx) * (by - ay)) / r_denomenator;
Index: applications/editors/josm/plugins/tracer2/src/org/openstreetmap/josm/plugins/tracer2/TracerPlugin.java
===================================================================
--- applications/editors/josm/plugins/tracer2/src/org/openstreetmap/josm/plugins/tracer2/TracerPlugin.java	(revision 32699)
+++ applications/editors/josm/plugins/tracer2/src/org/openstreetmap/josm/plugins/tracer2/TracerPlugin.java	(revision 32788)
@@ -1,20 +1,3 @@
-/**
- *  Tracer2 - plug-in for JOSM to capture contours
- *  
- *  This program is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation; either version 2 of the License, or
- *  (at your option) any later version.
- *  
- *  This program is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *  
- *  You should have received a copy of the GNU General Public License along
- *  with this program; if not, write to the Free Software Foundation, Inc.,
- *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
- */
-
+// License: GPL. For details, see LICENSE file.
 package org.openstreetmap.josm.plugins.tracer2;
 
@@ -30,27 +13,26 @@
 
 public class TracerPlugin extends Plugin {
-	
+
     public static TracerPlugin s_oPlugin;
-    
+
     public final ServerParamList m_oParamList;
-	
+
     public TracerPlugin(PluginInformation info) {
         super(info);
         MainMenu.add(Main.main.menu.moreToolsMenu, new TracerAction(Main.map));
-        
+
         s_oPlugin = this;
-        
+
         File plugindir = new File(this.getPluginDir());
         if (!plugindir.exists()) {
             plugindir.mkdirs();
         }
-        
+
         m_oParamList = new ServerParamList(new File(plugindir, "serverParam.cfg").getAbsolutePath());
     }
-    
+
     @Override
     public PreferenceSetting getPreferenceSetting() {
         return new ServerParamPreference(this);
     }
-    
 }
Index: applications/editors/josm/plugins/tracer2/src/org/openstreetmap/josm/plugins/tracer2/preferences/ServerParam.java
===================================================================
--- applications/editors/josm/plugins/tracer2/src/org/openstreetmap/josm/plugins/tracer2/preferences/ServerParam.java	(revision 32699)
+++ applications/editors/josm/plugins/tracer2/src/org/openstreetmap/josm/plugins/tracer2/preferences/ServerParam.java	(revision 32788)
@@ -1,20 +1,3 @@
-/**
- *  Tracer2 - plug-in for JOSM to capture contours
- *  
- *  This program is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation; either version 2 of the License, or
- *  (at your option) any later version.
- *  
- *  This program is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *  
- *  You should have received a copy of the GNU General Public License along
- *  with this program; if not, write to the Free Software Foundation, Inc.,
- *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
- */
-
+// License: GPL. For details, see LICENSE file.
 package org.openstreetmap.josm.plugins.tracer2.preferences;
 
@@ -35,5 +18,5 @@
 
 public class ServerParam {
-	
+
     protected boolean m_bEnabled;
     private String m_strName = "Name";
@@ -48,102 +31,114 @@
     private String m_strTag = "building";
     private String m_strPreferredValues = "yes;house;garage";
-    
+
     protected JMenuItem m_oMenuItem;
-    
+
     public boolean isEnabled() {
         return m_bEnabled;
     }
+
     public void setEnabled(boolean enabled) {
-    	if (!m_bEnabled ^ enabled)
+        if (!m_bEnabled ^ enabled)
             return;
         m_bEnabled = enabled;
     }
-    
+
     public String getName() {
         return m_strName;
     }
+
     public void setName(String name) {
         m_strName = name;
     }
-    
+
     public String getDescription() {
         return m_strDescription;
     }
+
     public void setDescription(String description) {
         m_strDescription = description;
     }
-    
+
     public String getUrl() {
         return m_strUrl;
     }
+
     public void setUrl(String url) {
         m_strUrl = url;
     }
-    
+
     public String getTileSize() {
         return m_strTileSize;
     }
+
     public void setTileSize(String tileSize) {
         m_strTileSize = tileSize;
     }
-    
+
     public String getResolution() {
         return m_strResolution;
     }
+
     public void setResolution(String resolution) {
         m_strResolution = resolution;
     }
-    
+
     public String getSkipBottom() {
         return m_strSkipBottom;
     }
+
     public void setSkipBottom(String skipBottom) {
         m_strSkipBottom = skipBottom;
     }
-    
+
     public String getMode() {
         return m_strMode;
     }
+
     public void setMode(String mode) {
         m_strMode = mode;
     }
-    
+
     public String getThreshold() {
         return m_strThreshold;
     }
+
     public void setThreshold(String threshold) {
         m_strThreshold = threshold;
     }
-    
+
     public String getPointsPerCircle() {
         return m_strPointsPerCircle;
     }
+
     public void setPointsPerCircle(String pointsPerCircle) {
         m_strPointsPerCircle = pointsPerCircle;
     }
-    
+
     public String getTag() {
         return m_strTag;
     }
+
     public void setTag(String tag) {
         m_strTag = tag;
     }
-    
+
     public String getPreferredValues() {
         return m_strPreferredValues;
     }
+
     public void setPreferredValues(String preferredValues) {
         m_strPreferredValues = preferredValues;
     }
-    
+
     public ServerParam() {
         m_bEnabled = false;
     }
-    
+
     public ServerParam(String name) {
         this();
         m_strName = name;
     }
-    
+
     public String serialize() {
         StringBuilder oBuilder = new StringBuilder();
@@ -163,7 +158,7 @@
         return oBuilder.toString();
     }
-    
+
     public static ServerParam unserialize(String str) {
-    	ServerParam oParam = new ServerParam();
+        ServerParam oParam = new ServerParam();
         String[] lines = str.split("\n");
         for (String line : lines) {
@@ -196,8 +191,8 @@
         return oParam;
     }
-    
+
     protected void showErrorMessage(String message, String details) {
         final JPanel p = new JPanel(new GridBagLayout());
-        p.add(new JMultilineLabel(message),GBC.eol());
+        p.add(new JMultilineLabel(message), GBC.eol());
         if (details != null) {
             JTextArea info = new JTextArea(details, 20, 60);
@@ -207,4 +202,5 @@
         }
         SwingUtilities.invokeLater(new Runnable() {
+            @Override
             public void run() {
                 JOptionPane.showMessageDialog(Main.parent, p, tr("Tracer2 error"), JOptionPane.ERROR_MESSAGE);
@@ -212,4 +208,4 @@
         });
     }
-    
+
 }
Index: applications/editors/josm/plugins/tracer2/src/org/openstreetmap/josm/plugins/tracer2/preferences/ServerParamDialog.java
===================================================================
--- applications/editors/josm/plugins/tracer2/src/org/openstreetmap/josm/plugins/tracer2/preferences/ServerParamDialog.java	(revision 32699)
+++ applications/editors/josm/plugins/tracer2/src/org/openstreetmap/josm/plugins/tracer2/preferences/ServerParamDialog.java	(revision 32788)
@@ -1,20 +1,3 @@
-/**
- *  Tracer2 - plug-in for JOSM to capture contours
- *  
- *  This program is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation; either version 2 of the License, or
- *  (at your option) any later version.
- *  
- *  This program is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *  
- *  You should have received a copy of the GNU General Public License along
- *  with this program; if not, write to the Free Software Foundation, Inc.,
- *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
- */
-
+// License: GPL. For details, see LICENSE file.
 package org.openstreetmap.josm.plugins.tracer2.preferences;
 
@@ -41,19 +24,19 @@
 public class ServerParamDialog extends ExtendedDialog {
     /**
-	 * 
-	 */
-	private static final long serialVersionUID = -3229680217088662218L;
-	
-	private String[] m_astrTileSize = new String[] {"0.0001", "0.0002", "0.0004", "0.0008", "0.001", "0.002", "0.004", "0.008", "0.01"};
-	private String[] m_astrResolution = new String[] {"512", "1024", "2048", "4096"};
-	private String[] m_astrMode = new String[] {"boundary", "match color"};
-	private String[] m_astrPointsPerCircle = new String[] {"0", "8", "12", "16", "20", "24", "32"};
-	
-	private ServerParam m_oParam;
-	
+     *
+     */
+    private static final long serialVersionUID = -3229680217088662218L;
+
+    private String[] m_astrTileSize = new String[] {"0.0001", "0.0002", "0.0004", "0.0008", "0.001", "0.002", "0.004", "0.008", "0.01"};
+    private String[] m_astrResolution = new String[] {"512", "1024", "2048", "4096"};
+    private String[] m_astrMode = new String[] {"boundary", "match color"};
+    private String[] m_astrPointsPerCircle = new String[] {"0", "8", "12", "16", "20", "24", "32"};
+
+    private ServerParam m_oParam;
+
     private JPanel m_oPanel = new JPanel(new GridBagLayout());
     private JTextField m_oName = new JTextField();
     private JTextField m_oDescription = new JTextField();
-    private JTextArea m_oUrl = new JTextArea(5,5);
+    private JTextArea m_oUrl = new JTextArea(5, 5);
     private JComboBox<String> m_oTileSize;
     private JComboBox<String> m_oResolution;
@@ -64,11 +47,11 @@
     private JTextField m_oTag = new JTextField();
     private JTextField m_oPreferredValues = new JTextField();
-    
+
     private JScrollPane m_oScrollpaneUrl;
-    
+
     public ServerParam getServerParam() {
-    	return m_oParam;
+        return m_oParam;
     }
-    
+
     private void addLabelled(String str, Component c) {
         JLabel label = new JLabel(str);
@@ -77,74 +60,74 @@
         m_oPanel.add(c, GBC.eol().fill(GridBagConstraints.HORIZONTAL));
     }
-    
+
     private void addGap() {
         JPanel p = new JPanel();
-        p.setMinimumSize(new Dimension(10,0));
+        p.setMinimumSize(new Dimension(10, 0));
         m_oPanel.add(p, GBC.eol().fill(GridBagConstraints.HORIZONTAL));
     }
-    
+
     private void load() {
         m_oName.setText(m_oParam.getName());
         m_oDescription.setText(m_oParam.getDescription());
         m_oUrl.setText(m_oParam.getUrl());
-        loadComboBox( m_oTileSize, m_oParam.getTileSize(), m_astrTileSize);
-        loadComboBox( m_oResolution, m_oParam.getResolution(), m_astrResolution);
+        loadComboBox(m_oTileSize, m_oParam.getTileSize(), m_astrTileSize);
+        loadComboBox(m_oResolution, m_oParam.getResolution(), m_astrResolution);
         //m_oSkipBottom.setText(param.getSkipBottom());
-        loadComboBox( m_oMode, m_oParam.getMode(), m_astrMode);
+        loadComboBox(m_oMode, m_oParam.getMode(), m_astrMode);
         m_oThreshold.setText(m_oParam.getThreshold());
-        loadComboBox( m_oPointsPerCircle, m_oParam.getPointsPerCircle(), m_astrPointsPerCircle);
+        loadComboBox(m_oPointsPerCircle, m_oParam.getPointsPerCircle(), m_astrPointsPerCircle);
         m_oTag.setText(m_oParam.getTag());
         m_oPreferredValues.setText(m_oParam.getPreferredValues());
     }
-    
+
     private void save() {
-    	m_oParam.setName(m_oName.getText());
-    	m_oParam.setDescription(m_oDescription.getText());
-    	m_oParam.setUrl(m_oUrl.getText());
-    	m_oParam.setTileSize(saveComboBox(m_oTileSize, m_astrTileSize));
-    	m_oParam.setResolution(saveComboBox(m_oResolution, m_astrResolution));
-    	//m_oParam.setSkipBottom(m_oSkipBottom.getText());
-    	m_oParam.setMode(saveComboBox(m_oMode, m_astrMode));
-    	m_oParam.setThreshold(m_oThreshold.getText());
-    	m_oParam.setPointsPerCircle(saveComboBox(m_oPointsPerCircle, m_astrPointsPerCircle));
-    	m_oParam.setTag(m_oTag.getText());
-    	m_oParam.setPreferredValues(m_oPreferredValues.getText());
+        m_oParam.setName(m_oName.getText());
+        m_oParam.setDescription(m_oDescription.getText());
+        m_oParam.setUrl(m_oUrl.getText());
+        m_oParam.setTileSize(saveComboBox(m_oTileSize, m_astrTileSize));
+        m_oParam.setResolution(saveComboBox(m_oResolution, m_astrResolution));
+        //m_oParam.setSkipBottom(m_oSkipBottom.getText());
+        m_oParam.setMode(saveComboBox(m_oMode, m_astrMode));
+        m_oParam.setThreshold(m_oThreshold.getText());
+        m_oParam.setPointsPerCircle(saveComboBox(m_oPointsPerCircle, m_astrPointsPerCircle));
+        m_oParam.setTag(m_oTag.getText());
+        m_oParam.setPreferredValues(m_oPreferredValues.getText());
     }
-    
-    private void loadComboBox( JComboBox<?> c, String strValue, String[] astrValues ) {
+
+    private void loadComboBox(JComboBox<?> c, String strValue, String[] astrValues) {
         int pos = 0;
-        for ( String str: astrValues ) {
-        	if (strValue.equals(str)) {
-            	c.setSelectedIndex(pos);
-            	return;
-        	}
-        	pos++;
+        for (String str: astrValues) {
+            if (strValue.equals(str)) {
+                c.setSelectedIndex(pos);
+                return;
+            }
+            pos++;
         }
     }
-    
-    private String saveComboBox( JComboBox<?> c, String[] astrValues ) {
+
+    private String saveComboBox(JComboBox<?> c, String[] astrValues) {
         return astrValues[c.getSelectedIndex()];
     }
-    
+
     public ServerParamDialog(ServerParam param) {
         super(Main.parent, tr("Tracer2") + " - " + tr("Parameter for server request"),
-                new String[] { tr("OK"), tr("Cancel") },
+                new String[] {tr("OK"), tr("Cancel")},
                 true);
         if (param == null) {
-        	m_oParam = new ServerParam();
+            m_oParam = new ServerParam();
         } else {
-        	m_oParam = param;
+            m_oParam = param;
         }
-        
+
         contentInsets = new Insets(15, 15, 5, 15);
-        setButtonIcons(new String[] { "ok.png", "cancel.png" });
-        
+        setButtonIcons(new String[] {"ok.png", "cancel.png"});
+
         m_oTileSize = new JComboBox<>(m_astrTileSize);
         m_oResolution = new JComboBox<>(m_astrResolution);
         m_oMode = new JComboBox<>(m_astrMode);
         m_oPointsPerCircle = new JComboBox<>(m_astrPointsPerCircle);
-        
+
         load();
-        
+
         addLabelled(tr("Name:"), m_oName);
         addLabelled(tr("Description:"), m_oDescription);
@@ -165,11 +148,11 @@
         addLabelled(tr("Tag:"), m_oTag);
         addLabelled(tr("Preferred values:"), m_oPreferredValues);
-        
+
         setMinimumSize(new Dimension(500, 0));
-        
+
         setContent(m_oPanel);
         setupDialog();
     }
-    
+
     @Override
     protected void buttonAction(int buttonIndex, ActionEvent evt) {
@@ -177,5 +160,5 @@
             save();
         } else {
-        	m_oParam = null;
+            m_oParam = null;
         }
         super.buttonAction(buttonIndex, evt);
